/*
 *  DownloadedBytesEvent.java
 *      
 *  Copyright 2010 Kvin Subileau. 
 *
 *	This file is part of ENTDownloader.
 *    
 *  ENTDownloader is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  ENTDownloader is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; If not, see <http://www.gnu.org/licenses/>.
 */
package entDownloader.core.events;

public class DownloadedBytesEvent extends Event {
	private long bytesDownloaded = 0;

	/* (non-Javadoc)
	 * @see entDownloader.core.events.BroadcastEvent#getType()
	 */
	@Override
	public int getType() {
		return DOWNLOADED_BYTES_TYPE;
	}

	/**
	 * Construit un nouvel vnement DownloadedBytesEvent
	 */
	public DownloadedBytesEvent() {
		this(-1);
	}

	/**
	 * Construit un nouvel vnement DownloadedBytesEvent
	 * 
	 * @param bytesDownloaded
	 *            Nombre d'octets du fichier tlchargs depuis le dernier
	 *            DownloadedBytesEvent.
	 */
	public DownloadedBytesEvent(long bytesDownloaded) {
		setBytesDownloaded(bytesDownloaded);
	}

	public long getBytesDownloaded() {
		return bytesDownloaded;
	}

	/**
	 * @param bytesDownloaded
	 *            Nombre d'octets du fichier tlchargs depuis le dernier
	 *            DownloadedBytesEvent.
	 */
	public void setBytesDownloaded(long bytesDownloaded) {
		this.bytesDownloaded = bytesDownloaded;
	}

}
